Skip to main content
GET
/
ai
/
mcpServers
/
list
List MCP servers
curl --request GET \
  --url https://api.getcargo.io/v1/ai/mcpServers/list \
  --header 'Authorization: Bearer <token>'
{
  "mcpServers": [
    {
      "uuid": "<string>",
      "workspaceUuid": "<string>",
      "userUuid": "<string>",
      "name": "<string>",
      "description": "<string>",
      "actions": [
        {
          "name": "<string>",
          "slug": "<string>",
          "description": "<string>",
          "isBulkAllowed": true,
          "config": {},
          "kind": "<string>",
          "toolUuid": "<string>",
          "templateSlug": "<string>"
        }
      ],
      "resources": [
        {
          "kind": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "description": "<string>",
          "integrationSlug": "<string>",
          "modelUuid": "<string>",
          "filter": {
            "conjonction": "or",
            "groups": [
              "<unknown>"
            ]
          },
          "selectedColumnSlugs": [
            "<string>"
          ],
          "limit": 123,
          "prompt": "<string>"
        }
      ],
      "folderUuid": "<string>",
      "templateSlug": "<string>",
      "isReadOnly": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

Response body schema.

mcpServers
MCP servers · object[]
required

List of MCP servers.